import ChatConfigContext, { LeftSidebarType } from "@/feature/messenger/context/ChatConfigContext";
import { Button } from "@nextui-org/react";
import { X } from "react-feather";

export default function CloseSection({ leftSidebarProp }: { leftSidebarProp: LeftSidebarType }) {

    const setLeftSidebar = ChatConfigContext(state => state.setLeftSidebar);
    const handleClick = () => {
        setLeftSidebar(leftSidebarProp);
    }

    return (
        <Button onClick={handleClick} color="default" variant="light" radius="full" className="min-w-12 min-h-12 size-12 p-0">
            <X size={24} />
        </Button>
    )
}